<?php

/*
+---------------------------------------------------------------------------+
| Max Media Manager v0.3                                                    |
| =================                                                         |
|                                                                           |
| Copyright (c) 2003-2005 Awarez Ltd.                                       |
| For contact details, see: http://www.awarez.net/                          |
|                                                                           |
| Copyright (c) 2000-2003 the phpAdsNew developers                          |
| For contact details, see: http://www.phpadsnew.com/                       |
|                                                                           |
| This program is free software; you can redistribute it and/or modify      |
| it under the terms of the GNU General Public License as published by      |
| the Free Software Foundation; either version 2 of the License, or         |
| (at your option) any later version.                                       |
|                                                                           |
| This program is distributed in the hope that it will be useful,           |
| but WITHOUT ANY WARRANTY; without even the implied warranty of            |
| MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             |
| GNU General Public License for more details.                              |
|                                                                           |
| You should have received a copy of the GNU General Public License         |
| along with this program; if not, write to the Free Software               |
| Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA |
+---------------------------------------------------------------------------+
$Id: maintenance-updates-js.php 2089 2005-03-14 14:30:47Z andrew $
*/

// Require the initialisation file
require_once '../../init.php';

// Required files
require_once MAX_PATH . '/www/admin/config.php';
require_once MAX_PATH . '/www/admin/lib-maintenance.inc.php';

$update_check = false;

/*-------------------------------------------------------*/
/* Main code                                             */
/*-------------------------------------------------------*/

// Check for product updates when the admin logs in
if (phpAds_isUser(phpAds_Admin)) {
    $pref = $GLOBALS['_MAX']['PREF'];
	// Check accordingly to user preferences
	switch ($pref['updates_frequency']) {
		case -1:
            $update_check = false;
            break;
		case 0:
            $update_check = true;
            break;
		default:
		 	$update_check = ($pref['updates_timestamp'] +
                $pref['updates_frequency']*60*60*24) <= time();
            break;
	}
	if ($update_check) {
		include_once MAX_PATH . '/www/admin/lib-updates.inc.php';
		$update_check = phpAds_checkForUpdates($pref['updates_last_seen']);
		if ($update_check[0] == 0) {
			$update_check = false;
		}
	}
	phpAds_SessionDataRegister('update_check', $update_check);
	phpAds_SessionDataStore();
	// Add Product Update redirector
	if ($update_check) {
		header("Content-Type: application/x-javascript");
		if ($session['update_check'][1]['security_fix']) {
			echo "\t\t\talert('".$strUpdateAlertSecurity."');\n";
		} else {
			echo "\t\t\tif (confirm('".$strUpdateAlert."'))\n\t";
		}
		echo "\t\tdocument.location.replace('maintenance-updates.php');\n";
	}
}

?>
